import PostMessageForm from "@/components/PostMessageForm";
import { prisma } from "@/prisma/db";

export default async function ThreadsPage() {
    let messages = null
    try {
        messages = await prisma.message.findMany()
    } catch (error) {
        console.log("the database is not running, try: 'npx prisma migrate dev --name init' if you want to use the database")
    }

    return (
        <div>
            <h1>Threads WIP</h1>
            <p>Needs a reload after posting!!</p>

            {messages ?
                <>
                    {messages.map((msg) => (
                        <li key={msg.id}> author: {msg.author} message: {msg.content} sentAt: {msg.sentAt?.toString()} </li>
                    ))}
                    <PostMessageForm data={messages}></PostMessageForm>
                </>
                :
                <p>no messages / no database</p>}
        </div>
    )
}